# Lists process transactions

<a id="flute-v1-get-pay-api-transactions"></a>
<span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions</span>
This endpoint returns a list of transactions details.
<span class="api-seealso">See Also:</span><br>
To create a transaction, see <a href="/api-reference/transactions/pay_api_v1_transactions_sale" style="text-decoration: underline;">POST /pay-api/v1/transactions/sale</a>.<br>
To retrieve a transaction by ID, see <a href="/api-reference/transactions/flute-v1-get-pay-api-transactions-id" style="text-decoration: underline;">GET /pay-api/v1/transactions/{transactionId}</a>.<br>
To capture a transaction, see <a href="/api-reference/transactions/pay_api_v1_transactions_capture" style="text-decoration: underline;">POST /pay-api/v1/transactions/capture</a>.<br>
To void a transaction, see <a href="/api-reference/transactions/pay_api_v1_transactions_void" style="text-decoration: underline;">POST /pay-api/v1/transactions/void</a>.<br>

Endpoint: GET /pay-api/v1/transactions
Version: V1
Security: Bearer

## Query parameters:

  - `page` (integer)
    Specifies the page number of the returned search results.

A page is considered each set of the `pageSize` value.

The maximum page value is the `pageSize` divided by the `total` count rounded up.
The count is zero-based.
For example, if `pageSize` is 50 and the `total` is 130, there are three pages.
The maximum `page` value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

  - `pageSize` (integer)
    Specifies the number of items for each page of the returned search results.

A page is considered each set of the `pageSize` value.

The maximum page value is the `pageSize` divided by the `total` count rounded up.
The count is zero-based.
For example, if `pageSize` is 50 and the `total` is 130, there are three pages.
The maximum `page` value is 2.

Example: 50

  - `orderBy` (string)
    Specifies the field the results get ordered by.

The sort order is specified by the `asc` value.

Example: contactName

  - `asc` (boolean)
    Specifies the sort order is ascending.

The sort field is specified by the `orderBy` value.

If `true`, the sort order is ascending.<br>
If `false`, the sort order is descending.

Example: true

  - `createMethodId` (integer)
    Specifies the <a href="#flute-transaction-creator-type">Flute ACH transaction creator type identifier</a>.

Example: 3

  - `createdById` (string)
    Specifies the transaction creator's identifier.

Example: 109fb6fb-91bf-442a-a9cb-051255ff72b0

  - `batchId` (string)
    Specifies the identifier assigned to the batch that contains one or more ACH (automated clearing house) transactions.

Example: 44a56eab-82c8-46de-bc07-021371be4721

  - `noBatch` (boolean)
    Specifies the transaction should bypass normal ACH (automated clearing house) batching.

The transaction will be processed individually instead of being grouped with other ACH transactions.

If `true`, the transaction will be processed individually instead of being grouped with other ACH transactions.<br>
If `false`, the transaction will be not processed individually but will be grouped with other ACH transactions.

Example: false

## Response 200 fields (application/json):

  - `items` (array)
    Transactions for the current page.

  - `items.id` (string)
    Indicates the transaction identifier.

Example: c7c15dd0-03e7-4e55-917c-54bedafba5e7
    Example: c7c15dd0-03e7-4e55-917c-54bedafba5e7

  - `items.paymentProcessorId` (string)
    Indicates the payment processor identifier.

Example: def7b3c4-5d6e-4f7a-8b9c-0d1e2f3a4b70
    Example: def7b3c4-5d6e-4f7a-8b9c-0d1e2f3a4b70

  - `items.date` (string)
    Indicates the date-time (in an ISO 8601 date-time UTC format) of the transaction date.

Examples: 2026-02-19T20:24:52.934Z
    Example: 2026-02-19T20:24:52.934Z

  - `items.baseAmount` (number)
    Identifies the original amount (in USD) of the transaction before adjustments are applied.

Example: 129.99
    Example: 129.99

  - `items.totalAmount` (number)
    Specifies the transaction's total amount.

This includes the base amount, tips, taxes, shipping, discounts, and other charges.

Example: 3219.45
    Example: 3219.45

  - `items.surchargeAmount` (number)
    Identifies the amount (in USD) when a surcharge is applicable.
This is a surcharge on the base amount.
This surcharge was calculated using the preset percentage from `surchargePercentage`.
Example: 6.45
    Example: 6.45

  - `items.surchargePercentage` (number)
    Identifies the surcharge percentage.
This is a surcharge on the base amount.
This value is surcharge percentage rate.
This surcharge percentage calculates the surcharge amount for `surchargeAmount`.
Example: 1.5 (as 1.5%)
    Example: 1.5

  - `items.currencyCode` (string)
    Indicates the currency (in ISO 4217 alpha-3 currency code format).

Example: USD
    Example: USD

  - `items.currencyId` (integer)
    Indicates the Flute currency identifier.
Always set to *1*.
Example: 1
    Example: 1

  - `items.merchant` (string)
    Indicates the merchant creating the transaction.

Example: Peppared Street Cafe
    Example: Peppared Street Cafe

  - `items.merchantId` (string)
    Indicates the identifier of the merchant.

Example: 46063d32-10fa-44cb-b118-20ddd085ce3f
    Example: 46063d32-10fa-44cb-b118-20ddd085ce3f

  - `items.operationMode` (string)
    Indicates the operation mode.
Possible values:
| OperationMode | Id |
|  --- | --- |
| PayNow | 1 |
| Subscription | 2 |

Example: PayNow
    Example: PayNow

  - `items.paymentMethodType` (string)
    Indicates the payment method type name.
Value values:
| Name | Id | Notes |
|  --- | --- | --- |
| Card | 1 | For credit or debit card |
| ElectronicCheck | 2 |  |

Example: Card
    Example: Card

  - `items.paymentMethodTypeId` (integer)
    Indicates the payment method type identifier.
Value values:
| Id | Name |
|  --- | --- |
| 1 | Card (for credit card) |
| 2 | ElectronicCheck |

Example: 2
    Example: 2

  - `items.paymentMethodName` (string)
    Indicates the name of the payment method.

This is a free-formed name that is convenient for the merchant to recognize.

Example: Cafe Peppared
    Example: Cafe Peppared

  - `items.customerName` (string)
    Indicates the customer's name.

Example: Jane Doe
    Example: Jane Doe

  - `items.customerCompany` (string)
    Indicates the customer's company name.

Example: Peppared Street Cafe
    Example: Peppared Street Cafe

  - `items.customerPan` (string)
    Indicates customer’s PAN (primary account number).
This is the payment card number.
The value is masked except for a few numbers for additional security.
Example: ************3655
    Example: ************3655

  - `items.cardTokenType` (integer)
    Identifies the card token type.
Possible values:
| Id | Type | Description |
|  --- | --- | --- |
| 1 | Local | Regular |
| 2 | Network | Network |

Example: 2
    Example: 2

  - `items.customerEmail` (string)
    Indicates the customer's email.
Example: peppared@example.com
    Example: peppared@example.com

  - `items.customerPhone` (string)
    Indicates the customer's phone number.
Example: +14155552309
    Example: +14155552309

  - `items.status` (string)
    Indicates the Flute transaction status type.
Example: Captured
    Example: Captured

  - `items.statusId` (integer)
    Indicates the Flute transaction status code.
Example: 2
    Example: 2

  - `items.typeId` (integer)
    Indicates the Flute transaction type identifier code value.
Example: 5
    Example: 5

  - `items.type` (string)
    Indicates the transaction type name.
Possible values:
| Value | Type |
|  --- | --- |
| Authorization | 1 |
| Sale | 2 |
| Capture | 3 |
| Void | 4 |
| Refund | 5 |
| Verify | 6 |

Example: Refund
    Example: Refund

  - `items.batchId` (string)
    Indicates the settlement batch identifier associated with the transaction.

Example: 6a2b8c1d-3e4f-4a5b-8c1d-2e3f4a5b6c17
    Example: 6a2b8c1d-3e4f-4a5b-8c1d-2e3f4a5b6c17

  - `items.source` (object)
    Indicates the source of the transaction.

  - `items.source.typeId` (integer)
    Indicates the identifier of the source type.

Example: 1
    Example: 1

  - `items.source.type` (string)
    Indicates the name of the source type.

Example: Api
    Example: Api

  - `items.source.id` (string)
    Indicates the identifier of the source.

Example: 5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e81
    Example: 5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e81

  - `items.source.name` (string)
    Indicates the name of the source.

Example: Terminal 12
    Example: Terminal 12

  - `items.availableOperations` (array)
    Available operations that can be performed on the transaction.

  - `items.availableOperations.typeId` (integer)
    Indicates the Flute transaction type identifier code value.
Example: 5
    Example: 5

  - `items.availableOperations.type` (string)
    Indicates the name of the transaction operation.

Example: Refund
    Example: Refund

  - `items.availableOperations.availableAmount` (number)
    Indicates the amount (in USD) available for this operation.

Example: 129.99
    Example: 129.99

  - `items.availableOperations.suggestedTips` (array)
    Suggested tip amounts for this operation.

  - `items.availableOperations.suggestedTips.tipAmount` (number)
    Specifies the absolute amount (in USD) of the tip to be added.
This amount adds to the base amount of the original transaction.
That transaction must be authorized first.

Values for `tipAmount` and `tipRate` are mutually exclusive.
Care must be taken to include one or the other but not both.
Example: 14.50
    Example: 14.5

  - `items.availableOperations.suggestedTips.tipPercent` (number)
    Specifies the tip rate as a percentage of the base amount to be added.
This amount adds to the base amount of the original transaction.
That transaction must be authorized first.

Values for `tipAmount` and `tipRate` are mutually exclusive.
Care must be taken to include one or the other but not both.
Example: 15 (as 15%)
    Example: 15

  - `items.amount` (object)
    Indicates the amounts for the transaction.

  - `items.amount.baseAmount` (number)
    Identifies the original amount (in USD) of a transaction before adjustments are applied.

Example: 129.99
    Example: 129.99

  - `items.amount.percentageOffAmount` (number)
    Identifies the discount amount (in USD) taken off.
This discount was calculated using the preset percentage from `percentageOffRate`.
Example: 12.50
    Example: 12.5

  - `items.amount.percentageOffRate` (number)
    Identifies the discount percentage.
This value is percentage rate for the discount.
This discount percentage calculates the discount amount for `percentageOffAmount`.
Example: 3.5 (as 3.5%)
    Example: 3.5

  - `items.amount.cashDiscountAmount` (number)
    Identifies the discount amount (in USD) when a cash (or cash-equivalent) discount is applied.
This discount was calculated using the preset percentage from `cashDiscountRate`.
Example: 10.55
    Example: 10.55

  - `items.amount.cashDiscountRate` (number)
    Identifies the discount percentage for a cash (or cash-equivalent) discount.
This value is percentage rate for the discount.
This discount percentage calculates the discount amount for `cashDiscountAmount`.
Example: 1.5 (as 1.5%)
    Example: 1.5

  - `items.amount.cashDiscountPercentage` (number)
    Identifies the discount percentage for a cash (or cash-equivalent) discount.
This value is percentage rate for the discount.
This discount percentage calculates the discount amount for `cashDiscountAmount`.
Example: 1.5 (as 1.5%)
    Example: 1.5

  - `items.amount.surchargeAmount` (number)
    Identifies the amount (in USD) when a surcharge is applicable.
This is a surcharge on the base amount.
This surcharge was calculated using the preset percentage from `surchargeRate`.
Example: 6.45
    Example: 6.45

  - `items.amount.surchargeRate` (number)
    Identifies the surcharge percentage.
This is a surcharge on the base amount.
This value is surcharge percentage rate.
This surcharge percentage calculates the surcharge amount for `surchargeAmount`.
Example: 1.5 (as 1.5%)
    Example: 1.5

  - `items.amount.tipAmount` (number)
    Specifies the absolute amount (in USD) of the tip to be added.
This amount adds to the base amount of the original transaction.
That transaction must be authorized first.

Values for `tipAmount` and `tipRate` are mutually exclusive.
Care must be taken to include one or the other but not both.
Example: 14.50
    Example: 14.5

  - `items.amount.tipRate` (number)
    Specifies the tip rate as a percentage of the base amount to be added.
This amount adds to the base amount of the original transaction.
That transaction must be authorized first.

Values for `tipAmount` and `tipRate` are mutually exclusive.
Care must be taken to include one or the other but not both.
Example: 15 (as 15%)
    Example: 15

  - `items.amount.taxAmount` (number)
    Identifies the tax amount (in USD).

Example: 273.65
    Example: 273.65

  - `items.amount.taxRate` (number)
    Identifies the tax percentage.
Example: 8.50 (as 8.50%)
    Example: 8.5

  - `items.amount.totalAmount` (number)
    Specifies the transaction's total amount.

This includes the base amount, tips, taxes, shipping, discounts, and other charges.

Example: 3219.45
    Example: 3219.45

  - `total` (integer)
    Indicates the total number of ISV transactions found.

Example: 5
    Example: 5

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.

Example: FluteOpsDeveloper.MSG322
    Example: FluteOpsDeveloper.MSG322

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 404 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.
    Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.

Example: FluteOpsDeveloper.MSG322
    Example: FluteOpsDeveloper.MSG322

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Collections.Generic.KeyNotFoundException
    Example: System.Collections.Generic.KeyNotFoundException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 500 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: An unexpected error occurred while processing the request.
    Example: An unexpected error occurred while processing the request.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: (Service)

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Exception
    Example: System.Exception

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

